# Open Positions

> Return the open positions for the specified trading account.

Source: /admin/accounts-funding/trading/accounts-service_-get-positions

## `GET /accounts/{id}/positions`

**Open Positions**

Return the open positions for the specified trading account.

Tags: `Trading`

#### Path parameters

- `id` (string) (required)


### Responses

#### `200` — A successful response.

**Content-Type:** `application/json`

List of positions (open or historical depending on the RPC).
- `positions` (array)
  - items:
    Net open exposure on a symbol for a single account, with average entry price,
current floating P&L, and any attached protection (stop loss / take profit) levels.
    - `id` (string)
    - `symbolId` (string)
    - `accountId` (string)
    - `orderId` (string)
    - `symbolName` (string)
    - `openPrice` (number)
    - `openPriceRaw` (number)
    - `closePrice` (number)
    - `closePriceRaw` (number)
    - `side` (string)
      - enum: `TRADE_SIDE_UNSPECIFIED`, `TRADE_SIDE_BUY`, `TRADE_SIDE_SELL`
    - `status` (string)
      - enum: `POSITION_STATUS_UNSPECIFIED`, `POSITION_STATUS_OPEN`, `POSITION_STATUS_CLOSED`
    - `commission` (number)
    - `swap` (number)
    - `profit` (number)
    - `units` (number)
    - `qty` (number)
    - `qtyClosed` (number)
    - `comment` (string)
    - `createdAt` (string)
    - `updatedAt` (string)
    - `realizedPnl` (number)
    - `unitsClosed` (number)
    - `usdPnl` (number)
    - `currentPrice` (number)
    - `margin` (number)
    - `fundingAccrued` (number)

#### `default` — An unexpected error response.

**Content-Type:** `application/json`

- `code` (integer)
- `message` (string)
- `details` (array)
  - items:
    - `@type` (string)

